Bug 434890 - Review Request: LinLog - A ham radio logbook for linux
Review Request: LinLog - A ham radio logbook for linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 21:02 EST by Robert 'Bob' Jensen
Modified: 2008-03-01 04:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 10:49:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-25 21:02:28 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/LinLog.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/LinLog-0.3-3.fc8.src.rpm
Description: LinLogBook is a highly configurable amateur radio logbook for linux.

It uses an sql- database to store its data. For the ease of use sqlite 3 is 
used but it should be possible to use other databases like mysql, for instance.

In testing package builds clean on Fedora 7 and Fedora 8, all resulting rpms are rpmlint clean. This is my first package that I had to include a .desktop file and icon for. Please use extra care when looking at those parts to make sure I did in fact get it right.
Comment 1 Jeroen van Meeuwen 2008-02-26 05:14:56 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK, GPLv2+
Actual License: OK, but source (src/linlog.cpp) says "GPL see COPYING file
shipped", COPYING file just says GPLv2
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: FAILED: No package qt4-devel, but not a target, so it's OK.

Applicable Package Guidelines:
 - -debuginfo package: OK (~1.9M)

Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: .pdf file (manual) included, not very large though: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Problems:
The license of the package should be GPLv2 according to src/linlog.cpp, and I
can't find any other mention off 'GPL' or 'or later' in the code using a simple
'grep -rin <string> *'. Please let me know where it says v2+ if it is really v2+.

Another thing: You did well on the .desktop and icon file ;-)
Comment 3 Jeroen van Meeuwen 2008-02-26 09:03:04 EST
APPROVED
Comment 4 Robert 'Bob' Jensen 2008-02-26 09:26:08 EST
Upon further investigation this should in fact be GPLv2+
Comment 5 Jeroen van Meeuwen 2008-02-26 09:59:41 EST
Correct, it's in multiple source files. Sorry, my bad.
Comment 6 Jeroen van Meeuwen 2008-02-28 16:38:29 EST
Ping, pending a CVS request Bob... ;-)
Comment 7 Robert 'Bob' Jensen 2008-02-28 23:46:49 EST
New Package CVS Request
=======================
Package Name: LinLog
Short Description: A ham radio logbook for Linux
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindrepb
Cvsextras Commits: Yes
Comment 8 Kevin Fenzi 2008-02-29 02:33:34 EST
cvs done.
Comment 9 Fedora Update System 2008-02-29 10:25:24 EST
LinLog-0.3-4.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-02-29 10:27:08 EST
LinLog-0.3-4.fc7 has been submitted as an update for Fedora 7
Comment 11 Robert 'Bob' Jensen 2008-02-29 10:49:43 EST
Thank You Kanarip for the review.
Thank You nirik for handling cvs.
Comment 12 Fedora Update System 2008-03-01 04:27:10 EST
LinLog-0.3-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-03-01 04:27:43 EST
LinLog-0.3-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.